Package org.opensaml.soap.wsaddressing.impl

# Class RelatesToImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.soap.wsaddressing.impl.RelatesToImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XSURI`, `XMLObject`, `RelatesTo`, `WSAddressingObject`

public class RelatesToImpl extends XSURIImpl implements RelatesTo
Implementation of `RelatesTo`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`relationshipType`
RelationshipType attribute value.
`private final AttributeMap`
`unknownAttributes`
Wildcard attributes.

### Fields inherited from interface org.opensaml.soap.wsaddressing.RelatesTo

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, RELATIONSHIP_TYPE_ATTRIB_NAME, RELATIONSHIP_TYPE_REPLY, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`RelatesToImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRelationshipType()`
Returns the RelationshipType attribute URI value.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`void`
`setRelationshipType(String newRelationshipType)`
Sets the RelationshipType attribute URI value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### relationshipType

@Nullable private String relationshipType
RelationshipType attribute value.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard attributes.

## Constructor Details

### RelatesToImpl

public RelatesToImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getRelationshipType

@Nullable public String getRelationshipType()
Returns the RelationshipType attribute URI value.

Specified by:
  `getRelationshipType` in interface `RelatesTo`
Returns:
  the RelationshipType attribute value or `null`.

### setRelationshipType

public void setRelationshipType(@Nullable String newRelationshipType)
Sets the RelationshipType attribute URI value.

Specified by:
  `setRelationshipType` in interface `RelatesTo`
Parameters:
  `newRelationshipType` - the RelationshipType attribute value.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes